Zum Hauptinhalt springen
GET
/
cms
/
v3
/
pages
/
landing-pages
/
folders
/
{objectId}
Retrieve a landing page folder
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId} \
  --header 'Authorization: Bearer <token>'
{
  "category": 123,
  "created": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123,
  "updated": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectId
string
erforderlich

Abfrageparameter

archived
boolean

Whether to return only results that have been archived.

property
string

Antwort

successful operation

Model definition for a content folder.

category
integer<int32>
erforderlich

The type of object this folder applies to. Should always be LANDING_PAGE.

created
string<date-time>
erforderlich

The timestamp indicating when the content folder was created.

deletedAt
string<date-time>
erforderlich

The timestamp (ISO8601 format) when this content folder was deleted.

id
string
erforderlich

The unique ID of the content folder.

name
string
erforderlich

The name of the folder which will show up in the app dashboard

parentFolderId
integer<int64>
erforderlich

The ID of the content folder this folder is nested under

updated
string<date-time>
erforderlich

The timestamp indicating when the content folder was last updated.

Last modified on April 9, 2026